<?xml version='1.0' encoding='UTF-8'?>
<UNICOSMetaModel xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='..\unicos\UNICOSMetaModel.xsd'>
	<Information>
		<Name>Controller</Name>
		<ObjectTypeFamily>ControlObjectFamily</ObjectTypeFamily>
		<Description>Controller Device</Description>
		<Version>$LastChangedRevision: 117564 $</Version>
		<VersionComments/>
		<Status/>
	</Information>
	<AttributeFamily>
		<AttributeFamilyName>DeviceIdentification</AttributeFamilyName>
		<UserExpandable>false</UserExpandable>
		<Attribute>
			<AttributeName>Name</AttributeName>
			<Description>Name of the device. It must be unique.
Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<isValueRequired>true</isValueRequired>
				<Usage>Name displayed at the SCADA level if "Expert Name" is not specified.
This name will appear in the datapoints created in the SCADA layer.</Usage>
				<DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
				<Constraints>Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break
Name must be unique.</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>ExpertName</AttributeName>
			<Description>Name of the device displayed at the SCADA level. It must be unique.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Expert Name</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>It does not affect to the datapoints names in the SCADA layer.</Usage>
				<DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
				<Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]
Expert Name must be unique.</Constraints>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>DeviceDocumentation</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>DeviceDescription</AttributeName>
			<Description>Description of the device.  </Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Description</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>Used in the SCADA layer in the device faceplate</Usage>
				<DependentAttributes/>
				<Constraints>In principle there is no limit to the number of characters used, however a long description may result in display issues at the SCADA level.
Forbidden characters:  ;</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>Remarks</AttributeName>
			<Description>Field used to add relevant information about the device. </Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<isValueRequired>false</isValueRequired>
				<Usage>This information is not used in the generation process, it remains only at the specification level for documentation purposes.</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  ;</Constraints>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceParameters</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>PControl</AttributeName>
			<Description>Contains controller parameters</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Controller Parameters</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>true</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>PMinRan</AttributeName>
				<Meaning>Parameter Minimum Range</Meaning>
				<Description>Range Min - Engineering Value of the Measured Value</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>PMaxRan</AttributeName>
				<Meaning>Parameter Maximum Range</Meaning>
				<Description>Range Max - Engineering Value of the Measured Value</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>100.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>POutMinRan</AttributeName>
				<Meaning>Parameter Output Minimum Range</Meaning>
				<Description>Output Range Min if different from controlled devices. If empty, take range of the first controlled device.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Output Range Min</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage>Can be used if split range is performed with the controller</Usage>
					<DependentAttributes/>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>POutMaxRan</AttributeName>
				<Meaning>Parameter Output Maximum Range</Meaning>
				<Description>Output Range Max if different from controlled devices. If empty, take range of the first controlled device.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>100.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Output Range Max</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage>Can be used if split range is performed with the controller</Usage>
					<DependentAttributes/>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>MVFiltTime</AttributeName>
				<Meaning>Measured Value Filter Time</Meaning>
				<Description>Time constant of the 1st order filter applied to the Measured Value.
Must be larger than the PLC cycle time.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>1</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>MV Filter Time (s)</NameRepresentation>
					<isValueRequired>true</isValueRequired>
					<Usage>The time filter is applied on the measured value to reduce noise</Usage>
					<DependentAttributes/>
					<Constraints>Must be larger than the PLC cycle time</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>PIDCycle</AttributeName>
				<Meaning>PID Cycle</Meaning>
				<Description>Cycle time to call the PID algorithm.
Must be larger than the PLC cycle time.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.3</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>PID Cycle (s)</NameRepresentation>
					<isValueRequired>true</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be larger than the PLC cycle time</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>ScaMethod</AttributeName>
				<Meaning>Scaling Method</Meaning>
				<Description>Scaling method applied to the PID</Description>
				<PrimitiveType>SHORTINT16</PrimitiveType>
				<DefaultValue>Percentage Scaling</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Scaling Method</NameRepresentation>
					<TypeRepresentation>STRING</TypeRepresentation>
					<isValueRequired>true</isValueRequired>
					<PermittedValue>Input Scaling</PermittedValue>
					<PermittedValue>Input/Output Scaling</PermittedValue>
					<PermittedValue>No Scaling</PermittedValue>
					<Usage>Input Scaling (1, default): the SP and the MV are scaled. Output 0-100%
Input/Output Scaling (2): Same as Input Scaling but Output can be scaled to engineering values (Output Range Min/Max)
No Scaling (3): use engineering values. Kc has physical meaning</Usage>
					<DependentAttributes/>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>RA</AttributeName>
				<Meaning>Reverse Action</Meaning>
				<Description>Reverse Action on the controller</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>FALSE</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>RA</NameRepresentation>
					<isValueRequired>true</isValueRequired>
					<Usage>If TRUE, the Kc parameter will be negative, i.e. if MV &gt; SP, Output will increase.
If FALSE (=default), Kc will be positive, i.e. if MV &gt; SP, Output will decrease.</Usage>
					<DependentAttributes/>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceAutoRequests</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>AuIhFoMo</AttributeName>
			<Meaning>Auto Inhibit Forced Mode</Meaning>
			<Description>Auto Inhibit Forced Mode (by logic): The control logic blocks the forced mode operation.</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuIhMMo</AttributeName>
			<Meaning>Auto Inhibit Manual Mode</Meaning>
			<Description>Auto Inhibit Manual Mode (by logic): The control logic blocks the manual mode operation</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuActR</AttributeName>
			<Meaning>Auto Active Request</Meaning>
			<Description>Auto Active Request. Logic explicitly sets this input to distinguish between multiple controllers</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuSPR</AttributeName>
			<Meaning>Auto Setpoint Request</Meaning>
			<Description>The control logic requests specific Setpoint value</Description>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuESP</AttributeName>
			<Meaning>Auto Enable Setpoint</Meaning>
			<Description>The control logic enables of the auto set-Point</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuRegR</AttributeName>
			<Meaning>Auto Regulation Request</Meaning>
			<Description>The control logic requests the regulation working state</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuOutPR</AttributeName>
			<Meaning>Auto Output Position Request</Meaning>
			<Description>The control logic requests the output positioning working state</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuTrR</AttributeName>
			<Meaning>Auto Tracking Request</Meaning>
			<Description>The control logic requests to apply the tracking working state.</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuPosR</AttributeName>
			<Meaning>Auto Position Request.</Meaning>
			<Description>Auto Position Request: The control logic requests a specific position on the object.</Description>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuIhSR</AttributeName>
			<Meaning>Auto Inhibit Save/Restore</Meaning>
			<Description>The operator cannot save nor restore the controller saved parameters (Default values)
</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuAuMoR</AttributeName>
			<Meaning>Auto Auto Mode Request</Meaning>
			<Description>Auto Auto Mode Request. The control logic requests Auto Mode on the object</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuPRest</AttributeName>
			<Meaning>Auto Parameter Restore</Meaning>
			<Description>Auto Parameter Restore</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuSPSpd</AttributeName>
			<Meaning>Auto Setpoint Speed</Meaning>
			<Description>The control logic Setpoint Speed</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Default Setpoint Speed</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>InSpd</AttributeName>
				<Meaning>Increase Speed</Meaning>
				<Description>Increase speed of the set-point.
Must be positive.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Increase Speed</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>true</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be positive</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DeSpd</AttributeName>
				<Meaning>Decrease Speed</Meaning>
				<Description>Decrease speed of the set-point.
Must be positive.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Decrease Speed</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>true</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be positive</Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>AuPPID</AttributeName>
			<Meaning>Auto Parameters PID</Meaning>
			<Description>Parameters of PID Controller</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<Attribute>
				<AttributeName>Kc</AttributeName>
				<Meaning>Gain</Meaning>
				<Description>Gain. PID parameter value requested by the Control Logic</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>1.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>Ti</AttributeName>
				<Meaning>Integration Time</Meaning>
				<Description>Integration Time. PID parameter value requested by the Control Logic</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>100.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>Td</AttributeName>
				<Meaning>Time Derivative</Meaning>
				<Description>Time Derivative. PID parameter value requested by the Control Logic</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>Tds</AttributeName>
				<Meaning>Filter Time Derivative</Meaning>
				<Description>Filter Time Derivative. PID parameter value requested by the Control Logic</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>SPH</AttributeName>
				<Meaning>Setpoint High</Meaning>
				<Description>Setpoint High Limit value requested by control logic</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>100.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>SPL</AttributeName>
				<Meaning>Setpoint Low</Meaning>
				<Description>Setpoint Low Limit value requested by control logic</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>OutH</AttributeName>
				<Meaning>Output High</Meaning>
				<Description>Output High Limit value requested by control logic</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>100.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>OutL</AttributeName>
				<Meaning>Output Low</Meaning>
				<Description>Output Low Limit value requested by control logic</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>EKc</AttributeName>
				<Meaning>Enable Kc</Meaning>
				<Description>Parameter Kc given by control logic enabled.</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>false</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>ETi</AttributeName>
				<Meaning>Enable Ti</Meaning>
				<Description>Parameter Kc given by control logic enabled.</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>false</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>ETd</AttributeName>
				<Meaning>Enable Td</Meaning>
				<Description>Parameter Kc given by control logic enabled.</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>false</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>ETds</AttributeName>
				<Meaning>Enable Tds</Meaning>
				<Description>Parameter Kc given by control logic enabled.</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>false</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>ESPH</AttributeName>
				<Meaning>Enable Setpoint High</Meaning>
				<Description>Setpoint High Limit value requested by control logic enabled.</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>false</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>ESPL</AttributeName>
				<Meaning>Enable Setpoint Low</Meaning>
				<Description>Setpoint Low Limit value requested by control logic enabled.</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>false</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>EOutH</AttributeName>
				<Meaning>Enable Output High</Meaning>
				<Description>Output High Limit value requested by control logic enabled.</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>false</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>EOutL</AttributeName>
				<Meaning>Enable Output Low</Meaning>
				<Description>Output Low Limit value requested by control logic enabled.</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>false</DefaultValue>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceManualRequests</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>ManReg01</AttributeName>
			<Meaning>Manual Register 1</Meaning>
			<Description>Manual Register 1</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>WORD</PrimitiveType>
			<Attribute>
				<AttributeName>MAuMoR</AttributeName>
				<Meaning>Manual Auto Mode Request</Meaning>
				<Description>Manual Auto Mode Request: The operator requests the Auto Mode.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>0</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MMMoR</AttributeName>
				<Meaning>Manual Manual Mode Request</Meaning>
				<Description>Manual Manual Mode Request: The operator requests the Manual Mode</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>1</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MFoMoR</AttributeName>
				<Meaning>Manual Forced Mode Request</Meaning>
				<Description>Manual Forced Mode Request: The operator requests the Forced Mode.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>2</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>ActRcp</AttributeName>
				<Meaning>Activate Recipe</Meaning>
				<Description>Activate Recipe : All new signals at the inputs are activated.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>3</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>ArmRcp</AttributeName>
				<Meaning>Armed Recipe</Meaning>
				<Description>A Recipe is Armed : New values are available at the input
</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>4</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MPSave</AttributeName>
				<Meaning>Manual Parameters Save</Meaning>
				<Description>The operator requests to save all currents parameters as default value</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>5</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MPRest</AttributeName>
				<Meaning>Manual Parameters Restore</Meaning>
				<Description>The operator requests to restore as currents the latest saved parameters</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>6</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewSPR</AttributeName>
				<Meaning>Manual New Setpoint Request</Meaning>
				<Description>The operator requests to apply the Manual Setpoint Request Value.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>7</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewSPHLiR</AttributeName>
				<Meaning>Manual New Setpoint High Limit Request</Meaning>
				<Description>The operator requests to apply a new Setpoint High limit.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>8</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewSPLLiR</AttributeName>
				<Meaning>Manual New Setpoint Low Limit Request</Meaning>
				<Description>The operator requests to apply a new Setpoint Low limit.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>9</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewOutHLiR</AttributeName>
				<Meaning>Manual New Output High Limit Request</Meaning>
				<Description>The operator requests to apply a new Output High limit.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>10</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewOutLLiR</AttributeName>
				<Meaning>Manual New Output Low Limit Request</Meaning>
				<Description>The operator requests to apply a new Output Low limit.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>11</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewKcR</AttributeName>
				<Meaning>Manual New Kc Request</Meaning>
				<Description>The operator requests to change the PID Kc factor </Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>12</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewTdR</AttributeName>
				<Meaning>Manual New Td Request</Meaning>
				<Description>The operator requests to change the PID Td factor </Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>13</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewTiR</AttributeName>
				<Meaning>Manual New Ti Request</Meaning>
				<Description>The operator requests to change the PID Ti factor </Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>14</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewTdsR</AttributeName>
				<Meaning>Manual New Tds Request</Meaning>
				<Description>The operator requests to change the PID Tds factor </Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>15</BitPosition>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>ManReg02</AttributeName>
			<Meaning>Manual Register 2</Meaning>
			<Description>2nd Manual Register </Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>WORD</PrimitiveType>
			<Attribute>
				<AttributeName>MRegR</AttributeName>
				<Meaning>Manual Regulation Request</Meaning>
				<Description>The operator requests to place the PID in Working state regulated</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>0</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MOutPR</AttributeName>
				<Meaning>Manual Output Position Request</Meaning>
				<Description>The operator requests to place the PID in Output positioning working state</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>1</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MSoftLDR</AttributeName>
				<Meaning>Manual Software Local Mode</Meaning>
				<Description>The operator requests the Software Local Mode</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>2</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MNewPosR</AttributeName>
				<Meaning>Manual New Position Request</Meaning>
				<Description>The operator requests to use the manual position value</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>3</BitPosition>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>MPosR</AttributeName>
			<Meaning>Manual Position Request</Meaning>
			<Description>Manual Position Request: Value of the position requested by operator</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MSP</AttributeName>
			<Meaning>Manual Setpoint</Meaning>
			<Description>Manual Setpoint: Setpoint value requested by operator</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MSPH</AttributeName>
			<Meaning>Manual Setpoint High</Meaning>
			<Description>Operator Manual Setpoint High Limit value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MSPL</AttributeName>
			<Meaning>Manual Setpoint Low</Meaning>
			<Description>Operator Manual Setpoint Low Limit value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MOutH</AttributeName>
			<Meaning>Manual Output High</Meaning>
			<Description>Operator Manual Output High Limit value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MOutL</AttributeName>
			<Meaning>Manual Output Low</Meaning>
			<Description>Operator Manual Output Low Limit value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MKc</AttributeName>
			<Meaning>Manual Gain</Meaning>
			<Description>Operator Manual Gain constant value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MTi</AttributeName>
			<Meaning>Manual Integral time</Meaning>
			<Description>Operator Manual Integral time value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MTd</AttributeName>
			<Meaning>Manual derivative time</Meaning>
			<Description>Operator Manual derivative time value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MTds</AttributeName>
			<Meaning>Manual Derivative filter time</Meaning>
			<Description>Operator Manual Derivative filter time value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceEnvironmentInputs</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>HMV</AttributeName>
			<Meaning>Hardware Measured Value</Meaning>
			<Description>Process Value to be controlled.
Must be an AI/AIR/AS.</Description>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Measured Value</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>Enter the name of sensor to be regulated</Usage>
				<DependentAttributes/>
				<Constraints>Must be an AI/AIR/AS</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>HOutO</AttributeName>
			<Meaning>Hardware Output Order</Meaning>
			<Description>Hardware Output Order.Feedback position of controlled object.</Description>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>IOError</AttributeName>
			<Meaning>Input/Output Error </Meaning>
			<Description>IOError state in any of the dependant objects or the PLC channel assigned to the object</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>IOSimu</AttributeName>
			<Meaning>Input/Output Simulated</Meaning>
			<Description>Any of the dependant objects is in Forced or Manual Mode</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceOutputs</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>OutOV</AttributeName>
			<Meaning>Output Order Value</Meaning>
			<Description>List of devices to be controlled
Must be Analog/Anadig/AnaDO/MFC/Controller</Description>
			<isCommunicated>true</isCommunicated>
			<isArchived>true</isArchived>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Controlled Objects</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>Enter name of device to be controlled. If several, separate device names with commas.</Usage>
				<DependentAttributes/>
				<Constraints>Must be Analog/Anadig/AnaDO/MFC/Controller</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>StsReg01</AttributeName>
			<Meaning>Status Register 1</Meaning>
			<Description>Status Register 1</Description>
			<isEventAttribute>true</isEventAttribute>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>WORD</PrimitiveType>
			<Attribute>
				<AttributeName>SoftLDSt</AttributeName>
				<Meaning>Software Local Mode Status</Meaning>
				<Description>Current status of the Software local mode</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>0</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuActSt</AttributeName>
				<Meaning>Auto Active Status</Meaning>
				<Description>Controller is active</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>1</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuMoSt</AttributeName>
				<Meaning>Auto Mode Status</Meaning>
				<Description>Current status of the Auto Mode</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>2</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>MMoSt</AttributeName>
				<Meaning>Manual Mode Status</Meaning>
				<Description>Current status of the Manual Mode</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>3</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>FoMoSt</AttributeName>
				<Meaning>Forced Mode Status</Meaning>
				<Description>Current status of the Forced Mode.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>4</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>ArmRcpSt</AttributeName>
				<Meaning>Armed Recipe Status</Meaning>
				<Description>A Recipe is Armed : New values are available at the input</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>5</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IOErrorW</AttributeName>
				<Meaning>Input/Output Error Warning</Meaning>
				<Description>Current status of the IOError</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>6</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>IOSimuW</AttributeName>
				<Meaning>Input/Output Simulated Warning</Meaning>
				<Description>Current status of the IOSimu</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>7</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuRegRSt</AttributeName>
				<Meaning>Auto Regulation Request Status</Meaning>
				<Description>The control logic requests the Output positioning Working State</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>8</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>RegSt</AttributeName>
				<Meaning>Regulation Status</Meaning>
				<Description>The Controller is in Regulation working state.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>9</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>TrSt</AttributeName>
				<Meaning>Tracking State</Meaning>
				<Description>The Controller is in Tracking working state</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>10</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>OutPSt</AttributeName>
				<Meaning>Output Positioning State</Meaning>
				<Description>The Controller is in Output Positioning working state</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>11</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuIhSRSt</AttributeName>
				<Meaning>Auto Inhibit Save/Restore Status</Meaning>
				<Description>The operator cannot save nor restore the controller parameters (Default values).
</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>12</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuIhFoMoSt</AttributeName>
				<Meaning>Auto Inhibit Forced Mode Status</Meaning>
				<Description>Auto Inhibit Forced Mode status: Current status of the Auto Inhibit forced mode.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>13</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuESPSt</AttributeName>
				<Meaning>Auto Enable Setpoint Status</Meaning>
				<Description>The control Logic requests the enabling of the auto Setpoint.</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>14</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuIhMMoSt</AttributeName>
				<Meaning>Auto Inhibit Manual Mode Status</Meaning>
				<Description>Auto Inhibit Manual Mode Status</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>15</BitPosition>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>StsReg02</AttributeName>
			<Meaning>Status Register 2</Meaning>
			<Description>Status Register 2</Description>
			<isEventAttribute>true</isEventAttribute>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>WORD</PrimitiveType>
			<Attribute>
				<AttributeName>AuEKcSt</AttributeName>
				<Meaning>Auto Enable Kc Status</Meaning>
				<Description>PID parameter Kc requested by the Control Logic Enabled</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>0</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuETiSt</AttributeName>
				<Meaning>Auto Enable Ti Status</Meaning>
				<Description>PID parameter Ti requested by the Control Logic Enabled</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>1</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuETdSt</AttributeName>
				<Meaning>Auto Enable Td Status</Meaning>
				<Description>PID parameter Td requested by the Control Logic Enabled</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>2</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuETdsSt</AttributeName>
				<Meaning>Auto Enable Tds Status</Meaning>
				<Description>PID parameter Tds requested by the Control Logic Enabled</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>3</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>KcDiDef</AttributeName>
				<Meaning>Kc Different </Meaning>
				<Description>Current Kc Parameter different from saved parameter</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>4</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>TiDiDef</AttributeName>
				<Meaning>Ti Different</Meaning>
				<Description>Current Ti Parameter different from saved parameter</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>5</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>TdDiDef</AttributeName>
				<Meaning>Td Different</Meaning>
				<Description>Current Td Parameter different from saved parameter</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>6</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>TdsDiDef</AttributeName>
				<Meaning>Tds Different</Meaning>
				<Description>Current Tds Parameter different from saved parameter</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>7</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>SPHDiDef</AttributeName>
				<Meaning>Setpoint High Different</Meaning>
				<Description>Current Setpoint High Limit Parameter different from saved parameter</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>8</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>SPLDiDef</AttributeName>
				<Meaning>Setpoint Low Parameter Different </Meaning>
				<Description>Current Setpoint Low Limit Parameter different from saved parameter</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>9</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>OutHDiDef</AttributeName>
				<Meaning>Output High Different</Meaning>
				<Description>Current Output High Limit Parameter different from saved parameter</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>10</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>OutLDiDef</AttributeName>
				<Meaning>Output Low Different</Meaning>
				<Description>Current Output Low Limit Parameter different from saved parameter</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>11</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuESPHSt</AttributeName>
				<Meaning>Auto Enable Setpoint High Status</Meaning>
				<Description>Setpoint High Limit requested by control logic enabled</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>12</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuESPLSt</AttributeName>
				<Meaning>Auto Enable Setpoint Low Status</Meaning>
				<Description>Setpoint Low Limit requested by control logic enabled</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>13</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuEOutHSt</AttributeName>
				<Meaning>Auto Enable Output High Status</Meaning>
				<Description>Output High Limit requested by control logic  enabled</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>14</BitPosition>
			</Attribute>
			<Attribute>
				<AttributeName>AuEOutLSt</AttributeName>
				<Meaning>Auto Enable Output Low Status</Meaning>
				<Description>Output Low Limit requested by control logic  enabled</Description>
				<PrimitiveType>BIT1</PrimitiveType>
				<BitPosition>15</BitPosition>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>AuPosRSt</AttributeName>
			<Meaning>Auto Position Request Status</Meaning>
			<Description>Status of the position of the object in auto mode.</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MPosRSt</AttributeName>
			<Meaning>Manual Position Request Status</Meaning>
			<Description>Manual Position request status</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuMoSt</AttributeName>
			<Meaning>Auto Mode Status</Meaning>
			<Description>Current status of the Auto Mode</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MMoSt</AttributeName>
			<Meaning>Manual Mode Status</Meaning>
			<Description>Current status of the Manual Mode request</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>FoMoSt</AttributeName>
			<Meaning>Forced Mode Status</Meaning>
			<Description>Current status of the Forced Mode.</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>SoftLDSt</AttributeName>
			<Meaning>Software Local Drive Status</Meaning>
			<Description>Current status of the Sotware Local mode request</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuRegSt</AttributeName>
			<Meaning>Auto Regulation Status</Meaning>
			<Description>Auto Regulation Request Status</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>RegSt</AttributeName>
			<Meaning>Regulation Status</Meaning>
			<Description>Regulation Status
</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>OutPSt</AttributeName>
			<Meaning>Output Positioning Status</Meaning>
			<Description>Output Positioning Status
</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>TrSt</AttributeName>
			<Meaning>Tracking Status</Meaning>
			<Description>Tracking Status
</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>ActSP</AttributeName>
			<Meaning>Active Setpoint</Meaning>
			<Description>Active Setpoint Value</Description>
			<isCommunicated>true</isCommunicated>
			<isArchived>true</isArchived>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>MSPSt</AttributeName>
			<Meaning>Manual Setpoint Status</Meaning>
			<Description>Setpoint requested by operator</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>AuSPSt</AttributeName>
			<Meaning>Auto Setpoint Status</Meaning>
			<Description>Setpoint proposed by the control logic</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>IOErrorW</AttributeName>
			<Meaning>Input/Output Error Warning</Meaning>
			<Description>Current status of the IOError</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>IOSimuW</AttributeName>
			<Meaning>Inpout/Output Simulated Warning</Meaning>
			<Description>Current status of the IOSimu</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
		</Attribute>
		<Attribute>
			<AttributeName>ActKc</AttributeName>
			<Meaning>Active Kc</Meaning>
			<Description>Active Gain. PID parameter</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<DefaultValue>1.0</DefaultValue>
		</Attribute>
		<Attribute>
			<AttributeName>ActTi</AttributeName>
			<Meaning>Active Ti</Meaning>
			<Description>Active Integration Time. PID parameter value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<DefaultValue>100.0</DefaultValue>
		</Attribute>
		<Attribute>
			<AttributeName>ActTd</AttributeName>
			<Meaning>Active Td</Meaning>
			<Description>Active Time Derivative. PID parameter value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<DefaultValue>0.0</DefaultValue>
		</Attribute>
		<Attribute>
			<AttributeName>ActTds</AttributeName>
			<Meaning>Active Tds</Meaning>
			<Description>Active Filter Time Derivative. PID parameter</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<DefaultValue>0.0</DefaultValue>
		</Attribute>
		<Attribute>
			<AttributeName>ActSPH</AttributeName>
			<Meaning>Active Setpoint High</Meaning>
			<Description>Active Setpoint High Limit value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<DefaultValue>100.0</DefaultValue>
		</Attribute>
		<Attribute>
			<AttributeName>ActSPL</AttributeName>
			<Meaning>Active Setpoint Low</Meaning>
			<Description>Active Setpoint Low Limit value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<DefaultValue>0.0</DefaultValue>
		</Attribute>
		<Attribute>
			<AttributeName>ActOutH</AttributeName>
			<Meaning>Active Output High</Meaning>
			<Description>Active Output High Limit value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<DefaultValue>100.0</DefaultValue>
		</Attribute>
		<Attribute>
			<AttributeName>ActOutL</AttributeName>
			<Meaning>Active Output Low</Meaning>
			<Description>Active Output Low Limit value</Description>
			<isCommunicated>true</isCommunicated>
			<PrimitiveType>FLOAT32</PrimitiveType>
			<DefaultValue>0.0</DefaultValue>
		</Attribute>
		<Attribute>
			<AttributeName>MV</AttributeName>
			<Meaning>Measured Value</Meaning>
			<Description>Measured value of the controller.</Description>
			<isCommunicated>true</isCommunicated>
			<isArchived>true</isArchived>
			<PrimitiveType>FLOAT32</PrimitiveType>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>FEDeviceVariables</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>DefPID</AttributeName>
			<Description>Saved Parameters of the controller</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Default PID Parameters</NameRepresentation>
				<TypeRepresentation>STRING</TypeRepresentation>
				<isValueRequired>true</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>DefSP</AttributeName>
				<Description>Default Set-Point of the Controller at the initialization of the PLC.
Must be between Range Min and Range Max of the Measured Value.
If blank, will be set to 0.0 by default.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Setpoint</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be between Range Min and Range Max of the Measured Value.
If blank, will be set to 0.0 by default.</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DefKc</AttributeName>
				<Description>Default Kc parameter (Gain) of the Controller at the initialization of the PLC.
Must be positive. If reverse action, put TRUE in the "Reverse Action" field.
If blank, will be set to 1.0 by default.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>1.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Kc</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be positive. If reverse action, put TRUE in the "Reverse Action" field.
If blank, will be set to 1.0 by default.</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DefTi</AttributeName>
				<Description>Default Ti parameter (Integration Time) of the Controller at the initialization of the PLC.
Must be &gt;= 0. 
If = 0, then integral component is removed.
If blank, will be set to 100.0s by default.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>100.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Ti</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be &gt;= 0. 
If = 0, then integral component is removed.
If blank, will be set to 100.0s by default.</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DefTd</AttributeName>
				<Description>Default Td parameter (Derivative Time) of the Controller at the initialization of the PLC.
Must be &gt;= 0.  
If = 0, then derivative component is removed.
If blank, will be set to 0.0s by default.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Td</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be &gt;= 0.  
If = 0, then derivative component is removed.
If blank, will be set to 0.0s by default.</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DefTds</AttributeName>
				<Description>Default Tds parameter (time constant of the 1st order filter on the derivative term) of the Controller at the initialization of the PLC.
Must be &gt;= 0.  
If = 0, then no filtering of the derivative term.
If blank, will be set to 0.0s by default.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>100.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Tds</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be &gt;= 0.  
If = 0, then no filtering of the derivative term.
If blank, will be set to 0.0s by default.</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DefSPH</AttributeName>
				<Description>Default High Limit for the Controller Set-Point at the initialization of the PLC.
Must be between Range Min and Range Max of the Measured Value (MV).
If blank, will be set to Range Max of the MV.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>100.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>SP High Limit</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be between Range Min and Range Max of the Measured Value (MV).
If blank, will be set to Range Max of the MV</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DefSPL</AttributeName>
				<Description>Default Low Limit for the Controller Set-Point at the initialization of the PLC.
Must be between Range Min and Range Max of the Measured Value (MV).
If blank, will be set to Range Min of the MV.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>SP Low Limit</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be between Range Min and Range Max of the Measured Value (MV).
If blank, will be set to Range Min of the MV</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DefOutH</AttributeName>
				<Description>Default High Limit for the Controller output at the initialization of the PLC.
Must be between Output Range Min and Output Range Max of the controlled device.
If blank, will be set to Output Range Max.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>100.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Out High Limit</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be between Output Range Min and Output Range Max of the controlled device.
If blank, will be set to Output Range Max</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DefOutL</AttributeName>
				<Description>Default Low Limit for the Controller output at the initialization of the PLC.
Must be between Output Range Min and Output Range Max of the controlled device.
If blank, will be set to Output Range Min.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.0</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Out Low Limit</NameRepresentation>
					<TypeRepresentation>FLOAT32</TypeRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes/>
					<Constraints>Must be between Output Range Min and Output Range Max of the controlled device.
If blank, will be set to Output Range Min</Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>SCADADeviceGraphics</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>WidgetType</AttributeName>
			<Description>Define the widget type to display in the SCADA device tree overview only. 
The widget displayed in the process panel will be selected when the user creates the panel.</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<DefaultValue>Controller</DefaultValue>
			<isSpecificationAttribute>
				<NameRepresentation>Widget Type</NameRepresentation>
				<isValueRequired>true</isValueRequired>
				<isCaseSensitive>true</isCaseSensitive>
				<PermittedValue>Controller</PermittedValue>
				<PermittedValue>ControllerSetPoint</PermittedValue>
				<PermittedValue>ControllerActiveX</PermittedValue>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>Synoptic</AttributeName>
			<Description>Define link between the device and an existing synoptic where it appears. The synoptic specified here can be accessed from the device right-click menu item "Synoptic".</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<isValueRequired>false</isValueRequired>
				<Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project.</Usage>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>DiagnosticPanel</AttributeName>
			<Description>Define link between the device and an existing diagnostic panel for the device. The panel specified here can be accessed from the device right-click menu item "Diagnostic" as well as from the "Diagnostic" button on the object faceplate.</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Diagnostic</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project </Usage>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>WWWLink</AttributeName>
			<Description>Define link between the device and an existing web page (or pdf file, or other file which can be opened with IE).  The link can be accessed from the device right-click menu item "Info" as well as from the "Info" button on the object faceplate.</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>WWW Link</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>SCADADeviceFunctionals</AttributeFamilyName>
		<UserExpandable>false</UserExpandable>
		<Attribute>
			<AttributeName>MaskEvent</AttributeName>
			<Description>If TRUE: the events of the device will be masked in SCADA and not diplayed or archived in the Event List.
An 'event' is defined as a bit change in StsReg01 or StsReg02</Description>
			<PrimitiveType>BOOLEAN</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Mask Event</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>AccessControlDomain</AttributeName>
			<Description>Define Access Control on the device to an existing SCADA Domain
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Access Control Domain</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>This domain is used to grant access to this specific device. The domain specified for this object will allow access to the object only to registered users on that domain</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>SCADADeviceClassificationTags</AttributeName>
			<Description>It defines the Domain, Nature and DeviceLinks for the SCADA visualization</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<Attribute>
				<AttributeName>Domain</AttributeName>
				<Description>Domain of the device. If empty, the domain will be the name of the application
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>Domain is used to filter the devices in the alarm list or in the device tree overview</Usage>
					<DependentAttributes/>
					<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Nature</AttributeName>
				<Description>Nature of the device. If empty, the nature will be the type of the device
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>Nature is used to filter the devices in the alarm list or in the device tree overview</Usage>
					<DependentAttributes/>
					<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DeviceLinks</AttributeName>
				<Description>Define links to other devices (separate device names with commas). 
Note: it is not necessary to link to master, parents or children because these links are automatically created.
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Device Links</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage>Linked devices will be shown in the device right-click menu</Usage>
					<DependentAttributes>Expert Name or Name.
The name of the device(s) specified here *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified here corresponds to "Name".</DependentAttributes>
					<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>SCADADeviceDataArchiving</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>BooleanArch</AttributeName>
			<Description>Name of the Boolean archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<DefaultValue>boolean</DefaultValue>
			<isSpecificationAttribute>
				<NameRepresentation>Boolean Archive</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>The boolean values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>AnalogArch</AttributeName>
			<Description>Name of the analog archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<DefaultValue>analog</DefaultValue>
			<isSpecificationAttribute>
				<NameRepresentation>Analog Archive</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>The analog values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>EventArch</AttributeName>
			<Description>Name of the event archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<DefaultValue>event</DefaultValue>
			<isSpecificationAttribute>
				<NameRepresentation>Event Archive</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>The events generated by the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
				<DependentAttributes/>
				<Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>MVArchiving</AttributeName>
			<Description>Optional : Specify specific archiving if different than connected AI for the Measured-Value and for the Setpoint.</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>MV and SP Archiving</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>ArchiveMode</AttributeName>
				<Description>Archive mode of MV and SP. Archive if:
Old/New Comparison: value changes
Time: value changes after the specified Time Filter
Deadband: value &lt; or &gt; specified deadband
AND: at least one of the conditions is fulfilled
OR: both conditions are fulfilled</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Archive Mode</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<PermittedValue>No</PermittedValue>
					<PermittedValue>Deadband</PermittedValue>
					<PermittedValue>Time</PermittedValue>
					<PermittedValue>Deadband AND Time</PermittedValue>
					<PermittedValue>Deadband OR Time</PermittedValue>
					<PermittedValue>Old/New Comparison</PermittedValue>
					<PermittedValue>Old/New Comparison AND Time</PermittedValue>
					<PermittedValue>Old/New Comparison OR Time</PermittedValue>
					<Usage>This archive mode is used to archive data in the PVSS database</Usage>
					<DependentAttributes>If "Time" is selected, "MV and SP Archiving.Time Filter (s)" must be filled 
If "Deadband"  is selected: "MV and SP Archiving.Deadband Type" and "MV and SP Archiving.Deadband Value" must be filled.</DependentAttributes>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>TimeFilter</AttributeName>
				<Description>Time filter for the SCADA archiving of Controller MV and SP.
Must be positive.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Time Filter (s)</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes>Valid if "Time" has been selected as "MV and SP Archiving.Archive Mode"</DependentAttributes>
					<Constraints>Must be positive</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DeadbandType</AttributeName>
				<Description>Deadband type (Relative or Absolute) of the deadband for the SCADA archiving of Controller MV and SP</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<DefaultValue>Relative</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Deadband Type</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<PermittedValue>Relative</PermittedValue>
					<PermittedValue>Absolute</PermittedValue>
					<Usage/>
					<DependentAttributes>Valid if "Deadband" has been selected as "MV and SP Archiving.Archive Mode"</DependentAttributes>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DeadbandValue</AttributeName>
				<Description>Deadband value for the SCADA archiving of Controller MV and SP.
Must be positive and larger than the deadband specified for the driver data smoothing (Driver deadband).</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Deadband Value</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes>Valid if "Deadband" has been selected as "MV and SP Archiving.Archive Mode"</DependentAttributes>
					<Constraints>Must be positive and larger than the deadband specified for the driver data smoothing (Driver deadband)</Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>OutArchiving</AttributeName>
			<Description>Optional : Specify specific archiving if different than connected AO for PID Outputs.</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Output Archiving</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>ArchiveMode</AttributeName>
				<Description>Archive mode of Output. Archive if:
Old/New Comparison: value changes
Time: value changes after the specified Time Filter
Deadband: value &lt; or &gt; specified deadband
AND: at least one of the conditions is fulfilled
OR: both conditions are fulfilled</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Archive Mode</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<PermittedValue>No</PermittedValue>
					<PermittedValue>Deadband</PermittedValue>
					<PermittedValue>Time</PermittedValue>
					<PermittedValue>Deadband AND Time</PermittedValue>
					<PermittedValue>Deadband OR Time</PermittedValue>
					<PermittedValue>Old/New Comparison</PermittedValue>
					<PermittedValue>Old/New Comparison AND Time</PermittedValue>
					<PermittedValue>Old/New Comparison OR Time</PermittedValue>
					<Usage>This archive mode is used to archive data in the PVSS database</Usage>
					<DependentAttributes>If "Time" is selected, "Time Filter (s)" must be filled 
If "Deadband"  is selected: "Deadband Type" and "Deadband Value" must be filled.</DependentAttributes>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>TimeFilter</AttributeName>
				<Description>Time filter for the SCADA archiving of Controller Output.
Must be positive.</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Time Filter (s)</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes>Valid if "Time" has been selected as "Output Archiving.Archive Mode"</DependentAttributes>
					<Constraints>Must be positive</Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DeadbandType</AttributeName>
				<Description>Deadband type (Relative or Absolute) of the deadband for the SCADA archiving of Controller Output</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<DefaultValue>Relative</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Deadband Type</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<PermittedValue>Relative</PermittedValue>
					<PermittedValue>Absolute</PermittedValue>
					<Usage/>
					<DependentAttributes>Valid if "Deadband" has been selected as "Output Archiving.Archive Mode"</DependentAttributes>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DeadbandValue</AttributeName>
				<Description>Deadband value for the SCADA archiving of Controller Output.
Must be positive and larger than the deadband specified for the driver data smoothing (Driver deadband).</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Deadband Value</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage/>
					<DependentAttributes>Valid if "Deadband" has been selected as "Output Archiving.Archive Mode"</DependentAttributes>
					<Constraints>Must be positive and larger than the deadband specified for the driver data smoothing (Driver deadband)</Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>SCADADriverDataSmoothing</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>MVDeadband</AttributeName>
			<Description>Deadband parameters for Driver Smoothing on MV and SP</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>MV and SP Smoothing</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>DeadbandType</AttributeName>
				<Description>Deadband type (None, Relative, Absolute or Old/New) for the SCADA driver data smoothing of Controller MV and SP</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Deadband Type</NameRepresentation>
					<isValueRequired>true</isValueRequired>
					<PermittedValue>No</PermittedValue>
					<PermittedValue>Relative</PermittedValue>
					<PermittedValue>Absolute</PermittedValue>
					<PermittedValue>Old/New</PermittedValue>
					<Usage>Used for the online display in SCADA</Usage>
					<DependentAttributes/>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DeadbandValue</AttributeName>
				<Description>Deadband value for the SCADA driver data smoothing (Driver deadband) of Controller MV and SP.
Must be positive and smaller than the deadband specified in "MV and SP Archiving.Deadband Value"</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.05</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Deadband Value</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage>Used for the online display in SCADA</Usage>
					<DependentAttributes/>
					<Constraints>Must be positive and smaller than the deadband specified in "MV and SP Archiving.Deadband Value"</Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>OutDeadband</AttributeName>
			<Description>Deadband parameters for Driver Smoothing on Output</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Output Smoothing</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>DeadbandType</AttributeName>
				<Description>Deadband type (None, Relative, Absolute or Old/New) for the SCADA driver data smoothing (Driver deadband) of Controller Output</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>Deadband Type</NameRepresentation>
					<isValueRequired>true</isValueRequired>
					<PermittedValue>No</PermittedValue>
					<PermittedValue>Relative</PermittedValue>
					<PermittedValue>Absolute</PermittedValue>
					<PermittedValue>Old/New</PermittedValue>
					<Usage>Used for the online display in SCADA</Usage>
					<DependentAttributes/>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>DeadbandValue</AttributeName>
				<Description>Deadband value for the SCADA driver data smoothing (Driver deadband) of Controller Output.
Must be positive and smaller than the deadband specified in "Output Archiving.Deadband Value"</Description>
				<PrimitiveType>FLOAT32</PrimitiveType>
				<DefaultValue>0.05</DefaultValue>
				<isSpecificationAttribute>
					<NameRepresentation>Deadband Value</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage>Used for the online display in SCADA</Usage>
					<DependentAttributes/>
					<Constraints>Must be positive and smaller than the deadband specified in "Output Archiving.Deadband Value"</Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>LogicDeviceDefinitions</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>MasterDevice</AttributeName>
			<Description>Master of the device (relative to the hierarchy of dependent objects).</Description>
			<PrimitiveType>STRING</PrimitiveType>
			<isSpecificationAttribute>
				<NameRepresentation>Master</NameRepresentation>
				<isValueRequired>false</isValueRequired>
				<Usage>The master will give automatic requests to the device. The master object will appear in the list of "Device Links" in the device right-click menu.</Usage>
				<DependentAttributes/>
				<Constraints>Must be a single PCO for field objects, controller, or PCO. 
Must be PCO or field objects for alarms (several masters are allowed in the case of multiple alarms, separated by commas or spaces).</Constraints>
			</isSpecificationAttribute>
		</Attribute>
		<Attribute>
			<AttributeName>CustomLogicParameters</AttributeName>
			<Description>User defined meaning, used by the logic generators.</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<Attribute>
				<AttributeName>Parameter1</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter2</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter3</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter4</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter5</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter6</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter7</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter8</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter9</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
			<Attribute>
				<AttributeName>Parameter10</AttributeName>
				<Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<isValueRequired>false</isValueRequired>
					<Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
					<DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
					<Constraints>Forbidden characters:  "$' </Constraints>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
		<Attribute>
			<AttributeName>CustomLogicSections</AttributeName>
			<Description>If specified, these sections will override the default logic sections (UNICOS provided).</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<isSpecificationAttribute>
				<isValueRequired>false</isValueRequired>
				<Usage/>
				<DependentAttributes/>
				<Constraints/>
			</isSpecificationAttribute>
			<Attribute>
				<AttributeName>DL</AttributeName>
				<Description>Define user template for the Dependent Logic</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<isSpecificationAttribute>
					<NameRepresentation>DL User Template</NameRepresentation>
					<isValueRequired>false</isValueRequired>
					<Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
					<DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
					<Constraints/>
				</isSpecificationAttribute>
			</Attribute>
		</Attribute>
	</AttributeFamily>
	<AttributeFamily>
		<AttributeFamilyName>TargetDeviceInformation</AttributeFamilyName>
		<UserExpandable>true</UserExpandable>
		<Attribute>
			<AttributeName>Target</AttributeName>
			<Description>Identifies a target type (e.g. SIEMENS, SCHNEIDER...)</Description>
			<PrimitiveType>STRUCT</PrimitiveType>
			<DefaultValue>Siemens</DefaultValue>
			<Attribute>
				<AttributeName>RepresentationName</AttributeName>
				<Description>It's the name used ...</Description>
				<PrimitiveType>STRING</PrimitiveType>
				<DefaultValue>PID</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>Optimized</AttributeName>
				<Description>Is this object an optimized Object?</Description>
				<PrimitiveType>BOOLEAN</PrimitiveType>
				<DefaultValue>false</DefaultValue>
			</Attribute>
			<Attribute>
				<AttributeName>LimitSize</AttributeName>
				<Description>Maximun number of instances allowed</Description>
				<PrimitiveType>INT32</PrimitiveType>
				<DefaultValue>250</DefaultValue>
			</Attribute>
		</Attribute>
	</AttributeFamily>
</UNICOSMetaModel>
